.support {
    position: fixed;
    z-index: 30;
    right: 40px;
    bottom: 40px;
}

.support_icon {
    background: white;
    padding: 14px;
    border-radius: 100%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    width: 80px;
    height: 80px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;

}

.support_icon:hover {
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.3);
}

.support_icon img {
    width: 100%;
    height: 100%;
}

.popup {
    width: fit-content;
    position: absolute;
    top: -130px;
    left: -230px;
    background: white;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    padding: 20px !important;
    opacity: 0;
    visibility: hidden;
    transform: scale(0.5);
    transition: all 0.3s ease-in-out;
    user-select: none;
}

.support_icon:hover + .popup {
    opacity: 1;
    visibility: visible;
    transform: scale(1);
}

.popup_title {
    font-weight: bold;
    font-size: 18px !important;
}

.popup_desc {
    font-size: 14px !important;
    margin-top: 10px;
}

@media (max-width: 768px) {
    .support {
        right: 20px;
        bottom: 20px;
    }

    .support_icon {
        width: 60px;
        height: 60px;
    }

    .popup {
        top: -130px;
        left: -160px;
    }
}
